
Foreman - Bug #32489

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Setting registry doesn't reload properly on autoreload

05/02/2021 11:57 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 2.5.3, 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8526

  

Description

When editing code in development that causes rails to reload the application, the registry isn't properly reloaded leading to missing

settings and errors

Related issues:

Has duplicate Foreman - Bug #33257: Getting /apidoc/v2.json results in a brok... Resolved

Associated revisions

Revision 63469bc6 - 06/01/2021 10:49 AM - Ondřej Ezr

Fixes #32489 - setting load on code reload

Code reloading unloads setting descendants and thus

SettingRegistry.reload won't get any definitions of default from them.

This loads the STI classes.

History

#1 - 05/14/2021 11:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8526 added

#2 - 06/01/2021 10:49 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 06/01/2021 11:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|63469bc6cd2416b45667eed6b8b2115857646df2.

#4 - 08/16/2021 12:44 PM - Tomer Brisker

- Has duplicate Bug #33257: Getting /apidoc/v2.json results in a broken Foreman GUI (500 Internal Server Error) added

#5 - 08/18/2021 11:19 AM - Tomer Brisker

- Fixed in Releases 2.5.3 added
